
public class BuscaLinear {
	
	public int buscaLinear( int[] vetor, int valorProcurado ) {
		for (int i = 0; i < vetor.length; i++) {
			if (vetor[i] == valorProcurado) {
				return i;
			}
		}
		
		return -1;
	}
	
	public static void main( String ... args ){
		
		int[] valores = {10, 5, 38, 8, 2, 40, 1};
		
		BuscaLinear buscador = new BuscaLinear();
		int indiceRecuperado = buscador.buscaLinear(valores, 40);
		
		System.out.println( "índice Recuperado [" + indiceRecuperado + "]" );
	}
	
}
